robustirc-bridge(1)

NAME
robustirc-bridge - bridge between IRC and RobustIRC

SYNOPSIS
robustirc-bridge [-listen address] [-network address] [-socks address] [-tls_ca_file path] [-tls_cert_path path] [-tls_key_path path] [-motd_path path]

DESCRIPTION
robustirc-bridge allows you to connect to a RobustIRC network using your regular IRC client (such as irssi, WeeChat, XChat, etc).

It can be used as a SOCKS proxy for IRC clients which support SOCKS proxies, or it can be run for a specific RobustIRC network, in which case it will listen on a port (localhost:6667 by default) and talk IRC.

OPTIONS

-listen address
    Listen on the provided address for IRC connections (in host:port format, see also http://golang.org/pkg/net/#Dial for more details).

    -network must also be specified for -listen to have any effect.

-network address
    When accepting new connections on the port specified by -listen, to which network should they be bridged? This is a DNS name such as "robustirc.net". The servers to connect to will be resolved by resolving the _robustirc._tcp SRV record for that DNS name.

    If -network is unspecified, -listen will not be used, and only the -socks functionality will be provided.

-socks address
    Listen on the provided address for SOCKS connections (in host:port format, see also http://golang.org/pkg/net/#Dial for more details).

-motd_path path
    Path to a text file containing the message of the day (MOTD) to prefix to the network MOTD.

    The default MOTD warns people that they should run their own bridge instead of connecting, and you are expected to specify -motd_path= (i.e. empty) when starting the bridge in a scenario where you are the only user or all users run their IRC client on the same machine as the bridge.

-tls_cert_path path
    Path to a .pem file containing the TLS certificate. If unspecified, TLS is not used.

-tls_key_path path
    Path to a .pem file containing the TLS private key. If unspecified, TLS is not used.

-tls_ca_file path
    Use the specified file as trusted CA instead of the system CAs. Useful for testing.

AUTHOR
Michael Stapelberg